Announcement Announcement Module
Collapse
No announcement yet.
JDom dependecy fails Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • JDom dependecy fails

    Hi all,

    I'm developing an addon for Spring ROO and I used JDom into it. When I tried to install my bundle into Spring ROO, it shows me that error:

    Code:
    org.osgi.framework.BundleException: Unresolved constraint in bundle spring-roo-addon [80]: Unable to resolve 80.0: missing requirement [80.0] package; (&package=org.jdom)(version>=1.1.0))
    I don't understand why, because I added the dependency as is told in SpringSource Enterprise Bundle Repository (http://ebr.springsource.com/reposito...&version=1.1.0), but it didn't work. I tried adding the dependency to another version of JDom (1.0.0), but it also failed.

    Could anyone help me please?

  • #2
    I also imported my project into STS and it shows me the same error:

    Code:
    Missing artifact org.jdom:com.springsource.org.jdom:jar:1.1.0:compile
    I tried to add other dependencies and anyone works right, it always shows me the same error.

    I don't understand where is the problem

    Comment

    Working...
    X